/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_UPROBE_AUTOATTACH_SKEL_H__
#define __TEST_UPROBE_AUTOATTACH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_uprobe_autoattach {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_uprobe_noautoattach;
		struct bpf_program *handle_uprobe_byname;
		struct bpf_program *handle_uretprobe_byname;
		struct bpf_program *handle_uprobe_byname2;
		struct bpf_program *handle_uretprobe_byname2;
	} progs;
	struct {
		struct bpf_link *handle_uprobe_noautoattach;
		struct bpf_link *handle_uprobe_byname;
		struct bpf_link *handle_uretprobe_byname;
		struct bpf_link *handle_uprobe_byname2;
		struct bpf_link *handle_uretprobe_byname2;
	} links;
	struct test_uprobe_autoattach__bss {
		int uprobe_byname_parm1;
		int uprobe_byname_ran;
		int uretprobe_byname_rc;
		int uretprobe_byname_ret;
		int uretprobe_byname_ran;
		char __pad0[4];
		u64 uprobe_byname2_parm1;
		int uprobe_byname2_ran;
		char __pad1[4];
		u64 uretprobe_byname2_rc;
		int uretprobe_byname2_ran;
		int test_pid;
		int a[8];
	} *bss;

#ifdef __cplusplus
	static inline struct test_uprobe_autoattach *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_uprobe_autoattach *open_and_load();
	static inline int load(struct test_uprobe_autoattach *skel);
	static inline int attach(struct test_uprobe_autoattach *skel);
	static inline void detach(struct test_uprobe_autoattach *skel);
	static inline void destroy(struct test_uprobe_autoattach *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_uprobe_autoattach__destroy(struct test_uprobe_autoattach *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_uprobe_autoattach__create_skeleton(struct test_uprobe_autoattach *obj);

static inline struct test_uprobe_autoattach *
test_uprobe_autoattach__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_uprobe_autoattach *obj;
	int err;

	obj = (struct test_uprobe_autoattach *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_uprobe_autoattach__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_uprobe_autoattach__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_uprobe_autoattach *
test_uprobe_autoattach__open(void)
{
	return test_uprobe_autoattach__open_opts(NULL);
}

static inline int
test_uprobe_autoattach__load(struct test_uprobe_autoattach *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_uprobe_autoattach *
test_uprobe_autoattach__open_and_load(void)
{
	struct test_uprobe_autoattach *obj;
	int err;

	obj = test_uprobe_autoattach__open();
	if (!obj)
		return NULL;
	err = test_uprobe_autoattach__load(obj);
	if (err) {
		test_uprobe_autoattach__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_uprobe_autoattach__attach(struct test_uprobe_autoattach *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_uprobe_autoattach__detach(struct test_uprobe_autoattach *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_uprobe_autoattach__elf_bytes(size_t *sz);

static inline int
test_uprobe_autoattach__create_skeleton(struct test_uprobe_autoattach *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_uprobe_autoattach";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_upr.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_uprobe_noautoattach";
	s->progs[0].prog = &obj->progs.handle_uprobe_noautoattach;
	s->progs[0].link = &obj->links.handle_uprobe_noautoattach;

	s->progs[1].name = "handle_uprobe_byname";
	s->progs[1].prog = &obj->progs.handle_uprobe_byname;
	s->progs[1].link = &obj->links.handle_uprobe_byname;

	s->progs[2].name = "handle_uretprobe_byname";
	s->progs[2].prog = &obj->progs.handle_uretprobe_byname;
	s->progs[2].link = &obj->links.handle_uretprobe_byname;

	s->progs[3].name = "handle_uprobe_byname2";
	s->progs[3].prog = &obj->progs.handle_uprobe_byname2;
	s->progs[3].link = &obj->links.handle_uprobe_byname2;

	s->progs[4].name = "handle_uretprobe_byname2";
	s->progs[4].prog = &obj->progs.handle_uretprobe_byname2;
	s->progs[4].link = &obj->links.handle_uretprobe_byname2;

	s->data = test_uprobe_autoattach__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_uprobe_autoattach__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x10\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\x72\
\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\x72\
\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\
\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\
\x63\0\x75\x70\x72\x6f\x62\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\x2e\x36\x3a\x66\
\x6f\x70\x65\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x6c\x69\x62\x63\x2e\
\x73\x6f\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\
\x61\x74\x74\x61\x63\x68\x2e\x63\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x34\
\x5f\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x6e\x6f\x61\
\x75\x74\x6f\x61\x74\x74\x61\x63\x68\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\
\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\x5f\x72\x61\x6e\0\x61\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\x5f\x70\x61\x72\x6d\x31\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\
\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x74\0\x75\x72\x65\x74\
\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x61\x6e\0\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x63\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\0\x74\
\x65\x73\x74\x5f\x70\x69\x64\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x32\x5f\x72\x61\x6e\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x32\x5f\x70\x61\x72\x6d\x31\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\0\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x61\x6e\0\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x63\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\
\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x2e\x72\x65\x6c\
\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\x72\
\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\
\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\x2e\x72\
\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\
\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\
\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\0\0\0\x06\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x07\0\0\0\0\0\
\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\xdc\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\xf7\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\x01\x0c\x11\0\
\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x01\x1e\x11\0\0\x08\0\0\0\0\0\0\
\0\x38\0\0\0\0\0\0\0\x20\0\0\x01\x20\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\x01\x34\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\x01\x4c\x11\
\0\0\x08\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\x01\x61\x11\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x04\0\0\x01\x76\x11\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x04\0\0\x01\x8a\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\x01\xa0\
\x11\0\0\x08\0\0\0\0\0\0\0\x34\0\0\0\0\0\0\0\x04\0\0\x01\xa9\x11\0\0\x08\0\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\x01\xbc\x11\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\x08\0\0\x01\xd1\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\x01\
\xea\x11\0\0\x08\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x04\0\0\x02\0\x11\0\0\x08\0\0\
\0\0\0\0\0\x28\0\0\0\0\0\0\0\x08\0\0\x02\x15\x11\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x28\xbf\x31\
\0\0\0\0\0\0\x0f\x32\0\0\0\0\0\0\x79\x21\0\x30\0\0\0\0\x7b\xa2\xff\xf0\0\0\0\0\
\x79\x71\0\x38\0\0\0\0\x79\x81\0\x40\0\0\0\0\x79\x91\0\x48\0\0\0\0\x79\x61\0\
\x28\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\
\x08\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\x01\x63\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x19\0\x10\0\0\
\0\0\x63\x18\0\x0c\0\0\0\0\x63\x17\0\x08\0\0\0\0\x79\x2a\xff\xf0\0\0\0\0\x63\
\x12\0\x04\0\0\0\0\x63\x16\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\x2a\xff\xf8\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\x28\xbf\x31\0\0\0\0\0\0\x0f\x32\0\0\0\0\0\0\x79\x61\0\x28\0\
\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\
\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x16\0\0\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x02\x63\x12\0\0\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\xf8\0\0\0\0\x63\x12\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x61\0\x28\0\0\0\0\x85\0\0\0\0\0\0\
\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x5d\x10\0\x07\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\x03\x63\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x16\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x61\0\x28\0\0\0\0\x85\0\0\0\0\0\0\
\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x5d\x10\0\x07\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\x04\x63\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x16\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\xc8\0\
\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\
\0\x10\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\
\x13\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\
\x15\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\
\x17\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x18\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\
\0\0\0\0\0\x04\x88\0\0\x04\x88\0\0\x06\x6c\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\
\x01\x04\0\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x09\0\0\0\x06\0\0\
\x04\xc0\0\0\0\0\0\0\0\x0c\0\0\x05\0\0\0\0\x13\0\0\0\x06\0\0\x05\x80\0\0\0\x19\
\0\0\0\x06\0\0\x05\xc0\0\0\0\x1d\0\0\0\x06\0\0\x06\0\0\0\0\0\x05\0\0\x02\0\0\0\
\x98\0\0\0\x28\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x32\x08\0\0\0\
\0\0\0\x05\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\x3f\0\0\0\x07\0\0\0\0\0\0\0\x44\
\0\0\0\x09\0\0\0\x40\0\0\0\x48\0\0\0\x0b\0\0\0\xc0\0\0\0\x4d\x01\0\0\0\0\0\0\
\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\0\0\0\x01\0\0\0\
\x5b\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x6f\x08\0\0\0\0\0\0\x0a\0\0\0\0\x04\0\
\0\x02\0\0\0\x10\0\0\0\x75\0\0\0\x06\0\0\0\0\0\0\0\x7a\0\0\0\x06\0\0\0\x40\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\0\0\0\x10\0\0\0\0\x05\0\0\x02\0\0\0\
\x10\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x7f\0\0\0\x0f\0\0\0\0\0\0\0\0\x04\0\0\x03\
\0\0\0\x10\0\0\0\x88\0\0\0\x0e\0\0\0\0\0\0\0\x91\0\0\0\x0e\0\0\0\x20\0\0\0\x9a\
\0\0\0\x06\0\0\0\x40\0\0\0\xa8\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x7f\x84\0\0\
\x06\0\0\0\x0c\0\0\0\xb5\0\0\0\x10\0\0\0\0\0\0\0\xbb\0\0\0\x12\0\0\0\x20\0\0\0\
\xc3\0\0\0\x12\x01\0\0\x40\0\0\0\xce\0\0\0\x12\x01\0\0\x41\0\0\0\xdb\0\0\0\x12\
\x03\0\0\x42\0\0\0\xdf\0\0\0\x12\x03\0\0\x51\0\0\0\xe4\x84\0\0\x05\0\0\0\x04\0\
\0\0\xf2\0\0\0\x11\x08\0\0\0\0\0\0\xf8\0\0\0\x11\x01\0\0\x0c\0\0\0\xfa\0\0\0\
\x11\x02\0\0\x0d\0\0\0\xff\0\0\0\x11\x01\0\0\x0f\0\0\x01\x03\0\0\0\x11\x10\0\0\
\x10\0\0\x01\x0a\x08\0\0\0\0\0\0\x0e\0\0\x01\x10\x08\0\0\0\0\0\0\x11\0\0\0\0\
\x0d\0\0\x01\0\0\0\x14\0\0\x01\x14\0\0\0\x01\0\0\x01\x18\x01\0\0\0\0\0\0\x04\
\x01\0\0\x20\0\0\x01\x1c\x0c\0\0\x01\0\0\0\x13\0\0\x01\x37\x0c\0\0\x01\0\0\0\
\x13\0\0\x01\x4c\x0c\0\0\x01\0\0\0\x13\0\0\x01\x64\x0c\0\0\x01\0\0\0\x13\0\0\
\x01\x7a\x0c\0\0\x01\0\0\0\x13\0\0\x01\x93\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\
\x01\xa7\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x01\xb9\x0e\0\0\0\0\0\0\x14\0\0\0\
\x01\0\0\x01\xcd\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x01\xe2\x0e\0\0\0\0\0\0\x14\
\0\0\0\x01\0\0\x01\xf7\x08\0\0\0\0\0\0\x20\0\0\x01\xfb\x08\0\0\0\0\0\0\x21\0\0\
\x02\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x02\x14\x0e\0\0\0\0\0\0\x1f\0\0\0\
\x01\0\0\x02\x29\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x02\x3c\x0e\0\0\0\0\0\0\x1f\
\0\0\0\x01\0\0\x02\x51\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x02\x67\x01\0\0\0\0\0\
\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x08\0\0\0\x04\0\0\
\x02\x6c\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\x02\x75\x0e\0\0\0\0\0\0\x14\0\0\0\
\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x08\0\0\0\x08\0\0\x02\x7e\x0e\0\
\0\0\0\0\0\x2a\0\0\0\x01\0\0\x05\xc8\x0f\0\0\x0b\0\0\0\x58\0\0\0\x1a\0\0\0\0\0\
\0\0\x04\0\0\0\x1b\0\0\0\x04\0\0\0\x04\0\0\0\x1c\0\0\0\x08\0\0\0\x04\0\0\0\x1d\
\0\0\0\x0c\0\0\0\x04\0\0\0\x1e\0\0\0\x10\0\0\0\x04\0\0\0\x22\0\0\0\x18\0\0\0\
\x08\0\0\0\x23\0\0\0\x20\0\0\0\x04\0\0\0\x24\0\0\0\x28\0\0\0\x08\0\0\0\x25\0\0\
\0\x30\0\0\0\x04\0\0\0\x29\0\0\0\x34\0\0\0\x04\0\0\0\x2b\0\0\0\x38\0\0\0\x20\0\
\0\x05\xcd\x0f\0\0\x01\0\0\0\x04\0\0\0\x28\0\0\0\0\0\0\0\x04\0\x70\x74\x5f\x72\
\x65\x67\x73\0\x6f\x72\x69\x67\x5f\x67\x70\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\
\x72\x31\0\x6c\x61\x73\x74\x5f\x62\x72\x65\x61\x6b\0\x75\x73\x65\x72\x5f\x72\
\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\
\x73\0\x70\x73\x77\0\x67\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x70\x73\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\
\x70\x69\x5f\x69\x6e\x66\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\
\x5f\x70\x61\x72\x6d\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x63\x68\x69\x64\0\x69\
\x6e\x74\x70\x61\x72\x6d\0\x61\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\x69\
\x72\x65\x63\x74\x65\x64\x5f\x69\x72\x71\0\x69\x73\x63\0\x74\x79\x70\x65\0\x73\
\x75\x62\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\x63\x73\x73\x69\x64\0\x6d\0\
\x73\x73\x69\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\x6e\x6f\0\x5f\x5f\x75\x33\x32\
\0\x75\x33\x32\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\
\x70\x72\x6f\x62\x65\x5f\x6e\x6f\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\0\x75\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x5f\x70\x61\x72\x6d\x31\0\x75\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x5f\x72\x61\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\
\x62\x79\x6e\x61\x6d\x65\x5f\x72\x63\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\
\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x61\x6e\0\x75\x36\x34\0\x5f\x5f\x75\x36\
\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x70\x61\x72\x6d\
\x31\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x61\x6e\
\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\
\x63\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\
\x72\x61\x6e\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\
\x74\x5f\x70\x69\x64\0\x61\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x34\x34\x36\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x34\x34\x36\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\x61\x74\x74\x61\x63\
\x68\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x09\x75\x70\x72\x6f\x62\x65\x5f\
\x62\x79\x6e\x61\x6d\x65\x5f\x70\x61\x72\x6d\x31\x20\x3d\x20\x50\x54\x5f\x52\
\x45\x47\x53\x5f\x50\x41\x52\x4d\x31\x5f\x43\x4f\x52\x45\x28\x63\x74\x78\x29\
\x3b\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x61\x6e\
\x20\x3d\x20\x31\x3b\0\x09\x61\x5b\x30\x5d\x20\x3d\x20\x61\x72\x67\x31\x3b\0\
\x09\x61\x5b\x34\x5d\x20\x3d\x20\x61\x72\x67\x35\x3b\0\x09\x61\x5b\x33\x5d\x20\
\x3d\x20\x61\x72\x67\x34\x3b\0\x09\x61\x5b\x32\x5d\x20\x3d\x20\x61\x72\x67\x33\
\x3b\0\x09\x61\x5b\x31\x5d\x20\x3d\x20\x61\x72\x67\x32\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\
\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x2c\
\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x63\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\
\x53\x5f\x52\x43\x5f\x43\x4f\x52\x45\x28\x63\x74\x78\x29\x3b\0\x09\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x74\x20\x3d\
\x20\x72\x65\x74\x3b\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\x5f\x72\x61\x6e\x20\x3d\x20\x32\x3b\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x55\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\
\x68\x61\x72\x20\x2a\x70\x61\x74\x68\x6e\x61\x6d\x65\x2c\x20\x63\x6f\x6e\x73\
\x74\x20\x63\x68\x61\x72\x20\x2a\x6d\x6f\x64\x65\x29\0\x09\x69\x6e\x74\x20\x70\
\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\
\x09\x69\x66\x20\x28\x74\x65\x73\x74\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\
\x64\x29\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\
\x61\x6e\x20\x3d\x20\x33\x3b\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\x32\x5f\x70\x61\x72\x6d\x31\x20\x3d\x20\x28\x75\x36\x34\x29\x28\x6c\
\x6f\x6e\x67\x29\x70\x61\x74\x68\x6e\x61\x6d\x65\x3b\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\
\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x2c\x20\
\x76\x6f\x69\x64\x20\x2a\x72\x65\x74\x29\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x61\x6e\x20\x3d\x20\x34\x3b\0\x09\
\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\
\x63\x20\x3d\x20\x28\x75\x36\x34\x29\x28\x6c\x6f\x6e\x67\x29\x72\x65\x74\x3b\0\
\x30\x3a\x32\x3a\x32\0\x30\x3a\x32\x3a\x33\0\x30\x3a\x32\x3a\x34\0\x30\x3a\x32\
\x3a\x35\0\x30\x3a\x32\x3a\x36\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x75\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\
\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\x63\
\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\
\x5f\x66\x75\x6e\x63\0\x75\x70\x72\x6f\x62\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\
\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x6c\
\x69\x62\x63\x2e\x73\x6f\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\0\0\0\0\xeb\x9f\x01\
\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\x02\xcc\0\0\x03\x20\0\0\0\xc4\0\0\
\0\x08\0\0\x05\xd5\0\0\0\x01\0\0\0\0\0\0\0\x15\0\0\x05\xdc\0\0\0\x01\0\0\0\0\0\
\0\0\x16\0\0\x06\x0a\0\0\0\x01\0\0\0\0\0\0\0\x17\0\0\x06\x3b\0\0\0\x01\0\0\0\0\
\0\0\0\x18\0\0\x06\x52\0\0\0\x01\0\0\0\0\0\0\0\x19\0\0\0\x10\0\0\x05\xd5\0\0\0\
\x01\0\0\0\0\0\0\x02\x80\0\0\x03\x02\0\0\x7c\x02\0\0\x05\xdc\0\0\0\x0f\0\0\0\0\
\0\0\x02\x80\0\0\x03\x0d\0\0\x8c\0\0\0\0\x18\0\0\x02\x80\0\0\x03\x0d\0\0\x8c\
\x05\0\0\0\x50\0\0\x02\x80\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\x02\x80\0\0\x03\x31\0\
\0\xe0\x18\0\0\0\x68\0\0\x02\x80\0\0\x03\x61\0\0\xe4\x14\0\0\0\x88\0\0\x02\x80\
\0\0\x03\x79\0\0\xec\x07\0\0\0\x98\0\0\x02\x80\0\0\x03\x87\0\x01\x08\x07\0\0\0\
\xa0\0\0\x02\x80\0\0\x03\x95\0\0\xfc\x07\0\0\0\xa8\0\0\x02\x80\0\0\x03\xa3\0\0\
\xf4\x07\0\0\0\xb0\0\0\x02\x80\0\0\x03\xb1\0\0\xf0\x07\0\0\0\xc0\0\0\x02\x80\0\
\0\x03\x79\0\0\xec\x07\0\0\0\xc8\0\0\x02\x80\0\0\x03\x31\0\0\xe0\x16\0\0\0\xd8\
\0\0\x02\x80\0\0\x03\x31\0\0\xe0\x18\0\0\0\xe0\0\0\x02\x80\0\0\x03\x31\0\0\xe0\
\x16\0\0\0\xe8\0\0\x02\x80\0\0\x03\x0d\0\0\x8c\x05\0\0\x06\x0a\0\0\0\x0a\0\0\0\
\0\0\0\x02\x80\0\0\x03\xbf\0\x01\x44\0\0\0\0\x18\0\0\x02\x80\0\0\x03\xbf\0\x01\
\x44\x05\0\0\0\x28\0\0\x02\x80\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x02\x80\0\0\x03\
\xf3\0\x01\x4c\x18\0\0\0\x40\0\0\x02\x80\0\0\x04\x20\0\x01\x50\x17\0\0\0\x58\0\
\0\x02\x80\0\0\x04\x3d\0\x01\x54\x17\0\0\0\x78\0\0\x02\x80\0\0\x03\xf3\0\x01\
\x4c\x16\0\0\0\x88\0\0\x02\x80\0\0\x03\xf3\0\x01\x4c\x18\0\0\0\x90\0\0\x02\x80\
\0\0\x03\xf3\0\x01\x4c\x16\0\0\0\x98\0\0\x02\x80\0\0\x03\xbf\0\x01\x44\x05\0\0\
\x06\x3b\0\0\0\x08\0\0\0\0\0\0\x02\x80\0\0\x04\x58\0\x01\x70\x05\0\0\0\x08\0\0\
\x02\x80\0\0\x04\xa6\0\x01\x78\x0c\0\0\0\x10\0\0\x02\x80\0\0\x04\xa6\0\x01\x78\
\x27\0\0\0\x18\0\0\x02\x80\0\0\x04\xd3\0\x01\x84\x06\0\0\0\x30\0\0\x02\x80\0\0\
\x04\xd3\0\x01\x84\x06\0\0\0\x38\0\0\x02\x80\0\0\x04\xe9\0\x01\x90\x15\0\0\0\
\x58\0\0\x02\x80\0\0\x05\x02\0\x01\x8c\x17\0\0\0\x70\0\0\x02\x80\0\0\x04\x58\0\
\x01\x70\x05\0\0\x06\x52\0\0\0\x08\0\0\0\0\0\0\x02\x80\0\0\x05\x2f\0\x01\xa4\
\x05\0\0\0\x08\0\0\x02\x80\0\0\x04\xa6\0\x01\xac\x0c\0\0\0\x10\0\0\x02\x80\0\0\
\x04\xa6\0\x01\xac\x27\0\0\0\x18\0\0\x02\x80\0\0\x04\xd3\0\x01\xb8\x06\0\0\0\
\x30\0\0\x02\x80\0\0\x04\xd3\0\x01\xb8\x06\0\0\0\x38\0\0\x02\x80\0\0\x05\x66\0\
\x01\xc4\x18\0\0\0\x58\0\0\x02\x80\0\0\x05\x82\0\x01\xc0\x17\0\0\0\x70\0\0\x02\
\x80\0\0\x05\x2f\0\x01\xa4\x05\0\0\0\x10\0\0\x05\xdc\0\0\0\x06\0\0\0\0\0\0\0\
\x04\0\0\x05\xaa\0\0\0\0\0\0\0\x18\0\0\0\x04\0\0\x05\xb0\0\0\0\0\0\0\0\x28\0\0\
\0\x04\0\0\x05\xb6\0\0\0\0\0\0\0\x30\0\0\0\x04\0\0\x05\xbc\0\0\0\0\0\0\0\x38\0\
\0\0\x04\0\0\x05\xc2\0\0\0\0\0\0\0\x40\0\0\0\x04\0\0\x05\xaa\0\0\0\0\0\0\x06\
\x0a\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x05\xaa\0\0\0\0\0\0\0\x18\0\0\0\x04\0\0\
\x05\xaa\0\0\0\0\0\0\x06\x3b\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x05\xaa\0\0\0\0\0\
\0\x06\x52\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x05\xaa\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\xcc\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\x10\0\0\0\0\0\0\x02\x70\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x05\x80\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x90\0\0\
\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x88\0\0\0\0\0\0\0\xa8\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x30\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x07\xb0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x30\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\xad\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x1e\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x38\0\0\0\
\0\0\0\0\x30\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\
\x50\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x68\0\0\0\0\0\
\0\0\x30\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x85\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x98\0\0\0\0\0\0\0\
\x30\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xa0\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xc8\0\0\0\0\0\0\0\x30\0\
\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xbe\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xf8\0\0\0\0\0\0\x0b\x0c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\xc3\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x08\0\0\0\0\0\0\x04\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_uprobe_autoattach *test_uprobe_autoattach::open(const struct bpf_object_open_opts *opts) { return test_uprobe_autoattach__open_opts(opts); }
struct test_uprobe_autoattach *test_uprobe_autoattach::open_and_load() { return test_uprobe_autoattach__open_and_load(); }
int test_uprobe_autoattach::load(struct test_uprobe_autoattach *skel) { return test_uprobe_autoattach__load(skel); }
int test_uprobe_autoattach::attach(struct test_uprobe_autoattach *skel) { return test_uprobe_autoattach__attach(skel); }
void test_uprobe_autoattach::detach(struct test_uprobe_autoattach *skel) { test_uprobe_autoattach__detach(skel); }
void test_uprobe_autoattach::destroy(struct test_uprobe_autoattach *skel) { test_uprobe_autoattach__destroy(skel); }
const void *test_uprobe_autoattach::elf_bytes(size_t *sz) { return test_uprobe_autoattach__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_uprobe_autoattach__assert(struct test_uprobe_autoattach *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->uprobe_byname_parm1) == 4, "unexpected size of 'uprobe_byname_parm1'");
	_Static_assert(sizeof(s->bss->uprobe_byname_ran) == 4, "unexpected size of 'uprobe_byname_ran'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_rc) == 4, "unexpected size of 'uretprobe_byname_rc'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_ret) == 4, "unexpected size of 'uretprobe_byname_ret'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_ran) == 4, "unexpected size of 'uretprobe_byname_ran'");
	_Static_assert(sizeof(s->bss->uprobe_byname2_parm1) == 8, "unexpected size of 'uprobe_byname2_parm1'");
	_Static_assert(sizeof(s->bss->uprobe_byname2_ran) == 4, "unexpected size of 'uprobe_byname2_ran'");
	_Static_assert(sizeof(s->bss->uretprobe_byname2_rc) == 8, "unexpected size of 'uretprobe_byname2_rc'");
	_Static_assert(sizeof(s->bss->uretprobe_byname2_ran) == 4, "unexpected size of 'uretprobe_byname2_ran'");
	_Static_assert(sizeof(s->bss->test_pid) == 4, "unexpected size of 'test_pid'");
	_Static_assert(sizeof(s->bss->a) == 32, "unexpected size of 'a'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_UPROBE_AUTOATTACH_SKEL_H__ */
