/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_BPF_GET_STACK_SKEL_H__
#define __VERIFIER_BPF_GET_STACK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_bpf_get_stack {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_48b;
		struct bpf_map *map_array_48b;
	} maps;
	struct {
		struct bpf_program *stack_return_r0_within_range;
		struct bpf_program *return_r0_range_is_refined;
	} progs;
	struct {
		struct bpf_link *stack_return_r0_within_range;
		struct bpf_link *return_r0_range_is_refined;
	} links;

#ifdef __cplusplus
	static inline struct verifier_bpf_get_stack *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_bpf_get_stack *open_and_load();
	static inline int load(struct verifier_bpf_get_stack *skel);
	static inline int attach(struct verifier_bpf_get_stack *skel);
	static inline void detach(struct verifier_bpf_get_stack *skel);
	static inline void destroy(struct verifier_bpf_get_stack *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_bpf_get_stack__destroy(struct verifier_bpf_get_stack *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_bpf_get_stack__create_skeleton(struct verifier_bpf_get_stack *obj);

static inline struct verifier_bpf_get_stack *
verifier_bpf_get_stack__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_bpf_get_stack *obj;
	int err;

	obj = (struct verifier_bpf_get_stack *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_bpf_get_stack__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_bpf_get_stack__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_bpf_get_stack *
verifier_bpf_get_stack__open(void)
{
	return verifier_bpf_get_stack__open_opts(NULL);
}

static inline int
verifier_bpf_get_stack__load(struct verifier_bpf_get_stack *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_bpf_get_stack *
verifier_bpf_get_stack__open_and_load(void)
{
	struct verifier_bpf_get_stack *obj;
	int err;

	obj = verifier_bpf_get_stack__open();
	if (!obj)
		return NULL;
	err = verifier_bpf_get_stack__load(obj);
	if (err) {
		verifier_bpf_get_stack__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_bpf_get_stack__attach(struct verifier_bpf_get_stack *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_bpf_get_stack__detach(struct verifier_bpf_get_stack *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_bpf_get_stack__elf_bytes(size_t *sz);

static inline int
verifier_bpf_get_stack__create_skeleton(struct verifier_bpf_get_stack *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_bpf_get_stack";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_hash_48b";
	s->maps[0].map = &obj->maps.map_hash_48b;

	s->maps[1].name = "map_array_48b";
	s->maps[1].map = &obj->maps.map_array_48b;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "stack_return_r0_within_range";
	s->progs[0].prog = &obj->progs.stack_return_r0_within_range;
	s->progs[0].link = &obj->links.stack_return_r0_within_range;

	s->progs[1].name = "return_r0_range_is_refined";
	s->progs[1].prog = &obj->progs.return_r0_range_is_refined;
	s->progs[1].link = &obj->links.return_r0_range_is_refined;

	s->data = verifier_bpf_get_stack__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_bpf_get_stack__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xf8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\0\x69\x74\x65\x72\x2f\x74\x61\x73\x6b\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\
\x5f\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x6c\x30\x5f\
\x30\0\x6c\x30\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x32\x5f\x31\0\x73\x74\x61\x63\
\x6b\x5f\x72\x65\x74\x75\x72\x6e\x5f\x72\x30\x5f\x77\x69\x74\x68\x69\x6e\x5f\
\x72\x61\x6e\x67\x65\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x72\
\x65\x74\x75\x72\x6e\x5f\x72\x30\x5f\x72\x61\x6e\x67\x65\x5f\x69\x73\x5f\x72\
\x65\x66\x69\x6e\x65\x64\0\x6d\x61\x70\x5f\x61\x72\x72\x61\x79\x5f\x34\x38\x62\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x72\x61\x63\x65\x70\
\x6f\x69\x6e\x74\0\x2e\x72\x65\x6c\x69\x74\x65\x72\x2f\x74\x61\x73\x6b\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x34\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x03\0\0\0\0\0\
\0\x01\x28\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x52\0\0\0\x04\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x04\0\0\
\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x04\0\0\0\0\0\0\0\xc8\0\0\0\0\0\
\0\0\0\0\0\0\x61\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x30\0\0\0\x7e\x11\
\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x8b\x12\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf8\0\0\0\xa6\x11\0\0\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\
\0\0\0\xb4\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x61\0\0\0\0\0\0\
\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\
\0\x1c\0\0\0\0\xbf\x70\0\0\0\0\0\0\xb7\x90\0\0\0\0\0\x18\xbf\x16\0\0\0\0\0\0\
\xbf\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x18\xb7\x40\0\0\0\0\x01\0\x85\0\0\0\0\0\
\0\x43\xb7\x10\0\0\0\0\0\0\xbf\x80\0\0\0\0\0\0\x67\x80\0\0\0\0\0\x20\xc7\x80\0\
\0\0\0\0\x20\x6d\x18\0\x10\0\0\0\0\x1f\x98\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x0f\
\x28\0\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\
\x20\xbf\x32\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\xb7\x50\0\0\0\
\0\0\x18\x0f\x15\0\0\0\0\0\0\x3d\x31\0\x04\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\x39\
\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x43\x95\0\0\0\0\0\0\0\x79\x61\
\0\0\0\0\0\0\x79\x66\0\0\0\0\0\0\x79\x71\0\x08\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x7b\xa2\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\
\x07\x20\0\0\xff\xff\xff\xf8\x85\0\0\0\0\0\0\x01\x55\0\0\x02\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x55\x70\0\x02\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xbf\x17\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\xbf\x90\0\0\0\0\0\0\xb7\x30\0\0\
\0\0\0\x30\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x8d\x65\0\0\x02\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\x29\0\0\0\0\0\0\xbf\x30\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\x7f\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x0b\0\0\0\x01\xeb\x9f\x01\0\0\0\0\
\x18\0\0\0\0\0\0\x02\x58\0\0\x02\x58\0\0\x02\x1c\0\0\0\0\x02\0\0\0\0\0\0\x03\0\
\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\
\0\0\x06\0\0\0\x19\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x08\
\0\0\0\x23\x04\0\0\x02\0\0\0\x30\0\0\0\x2c\0\0\0\x09\0\0\0\0\0\0\0\x32\0\0\0\
\x0a\0\0\0\x20\0\0\0\x36\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x0b\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x43\0\0\0\
\x01\0\0\0\0\0\0\0\x48\0\0\0\x01\0\0\0\x40\0\0\0\x54\0\0\0\x05\0\0\0\x80\0\0\0\
\x58\0\0\0\x07\0\0\0\xc0\0\0\0\x5e\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\x02\0\
\0\0\0\0\0\x0e\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\
\x02\0\0\0\0\0\0\x02\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x43\0\0\0\x0d\0\0\0\0\
\0\0\0\x48\0\0\0\x01\0\0\0\x40\0\0\0\x54\0\0\0\x0f\0\0\0\x80\0\0\0\x58\0\0\0\
\x07\0\0\0\xc0\0\0\0\x6b\x0e\0\0\0\0\0\0\x10\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\0\0\
\0\0\0\0\x79\x0c\0\0\x01\0\0\0\x12\0\0\0\x96\x11\0\0\0\0\0\0\x13\xff\xff\xff\
\xff\0\0\0\xd4\x11\0\0\0\0\0\0\x13\xff\xff\xff\xff\0\0\0\xf0\x0c\0\0\x01\0\0\0\
\x12\0\0\x01\x0b\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\0\xd4\x11\0\0\0\0\0\0\
\x16\xff\xff\xff\xff\0\0\x01\x52\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x19\0\0\0\x04\0\0\0\x04\0\0\x01\x57\x0e\0\0\0\0\0\0\x1a\0\0\
\0\x01\0\0\x01\xf9\x0f\0\0\x02\0\0\0\x40\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x11\
\0\0\0\x20\0\0\0\x20\0\0\x01\xff\x0f\0\0\x01\0\0\0\x04\0\0\0\x1b\0\0\0\0\0\0\0\
\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x65\x73\x74\
\x5f\x76\x61\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\
\x68\x5f\x34\x38\x62\0\x6d\x61\x70\x5f\x61\x72\x72\x61\x79\x5f\x34\x38\x62\0\
\x73\x74\x61\x63\x6b\x5f\x72\x65\x74\x75\x72\x6e\x5f\x72\x30\x5f\x77\x69\x74\
\x68\x69\x6e\x5f\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x20\x72\x65\x74\x75\x72\x6e\x20\x52\x30\
\x20\x77\x69\x74\x68\x69\x6e\x20\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\
\x73\x73\0\x72\x65\x74\x75\x72\x6e\x5f\x72\x30\x5f\x72\x61\x6e\x67\x65\x5f\x69\
\x73\x5f\x72\x65\x66\x69\x6e\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x74\x61\x73\x6b\x5f\x73\x74\x61\x63\x6b\x20\x72\x65\x74\x75\
\x72\x6e\x20\x52\x30\x20\x72\x61\x6e\x67\x65\x20\x69\x73\x20\x72\x65\x66\x69\
\x6e\x65\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x34\x36\x2e\x65\
\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x34\x36\
\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\
\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\
\x69\x74\x65\x72\x2f\x74\x61\x73\x6b\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\
\0\0\0\x24\0\0\0\x24\0\0\0\x34\0\0\0\x58\0\0\0\0\0\0\0\x08\0\0\x02\x07\0\0\0\
\x01\0\0\0\0\0\0\0\x13\0\0\x02\x12\0\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x10\0\0\
\x02\x07\0\0\0\x01\0\0\0\0\0\0\x01\x60\0\0\x01\xe2\0\0\x88\x02\0\0\x02\x12\0\0\
\0\x01\0\0\0\0\0\0\x01\x60\0\0\x01\xe2\0\x01\x54\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x28\0\0\0\0\0\0\x01\x38\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x60\0\0\
\0\0\0\0\x01\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1c\0\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x90\0\0\0\0\0\0\0\
\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x88\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xc8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xbd\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\xd0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\xcc\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\xe0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\xda\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\xf0\0\0\0\0\0\0\x04\x8c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\xdf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x80\0\0\0\0\0\
\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_bpf_get_stack *verifier_bpf_get_stack::open(const struct bpf_object_open_opts *opts) { return verifier_bpf_get_stack__open_opts(opts); }
struct verifier_bpf_get_stack *verifier_bpf_get_stack::open_and_load() { return verifier_bpf_get_stack__open_and_load(); }
int verifier_bpf_get_stack::load(struct verifier_bpf_get_stack *skel) { return verifier_bpf_get_stack__load(skel); }
int verifier_bpf_get_stack::attach(struct verifier_bpf_get_stack *skel) { return verifier_bpf_get_stack__attach(skel); }
void verifier_bpf_get_stack::detach(struct verifier_bpf_get_stack *skel) { verifier_bpf_get_stack__detach(skel); }
void verifier_bpf_get_stack::destroy(struct verifier_bpf_get_stack *skel) { verifier_bpf_get_stack__destroy(skel); }
const void *verifier_bpf_get_stack::elf_bytes(size_t *sz) { return verifier_bpf_get_stack__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_bpf_get_stack__assert(struct verifier_bpf_get_stack *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_BPF_GET_STACK_SKEL_H__ */
